Participant activity logs
GET
/manage/events/:eventId/entries/:entryId/activity-logsReturn the history of state changes, check-ins and other operations for a registration. Requires the participantsRead permission.
| Auth | Login required |
|---|
Path parameters
eventIdstringrequiredEvent ID or slug.
entryIdstringrequiredEntry ID.
Query parameters
pagenumberPage number (1-based). Default 1.
perPagenumberItems per page. Default 20.
Response
| Field | Type | Description |
|---|---|---|
activityLogs | object[] | Array of activity log entries. |
pageInfo | object | Pagination info. |
Request
curl https://api.4s.link/manage/events/EVENT_ID/entries/ENTRY_ID/activity-logs \-H "Authorization: Bearer 4s_at_..."
Example response
{"activityLogs": [{"id": "al1a2b3-...","type": "STATE_CHANGED","from": "UNUSED","to": "CHECKED_IN","createdAt": "2026-09-01T01:05:00.000Z"}],"pageInfo": { "totalCount": 100, "totalPages": 5, "page": 1, "perPage": 20 }}